Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions
Class ResourceActionManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.actions.ResourceActionManager

    public class ResourceActionManager

extends Object

Author:
  Holger Knublauch

Constructor Summary
`ResourceActionManager()`

Method Summary
`static void` | `addResourceActionClass(Class clazz)` A work-around method for ResourceActions from outside the OWL Plugin.
`static void` | `addResourceActions(JPopupMenu menu, Component parent, RDFResource resource)`
`static void` | `addResourceActions(JToolBar toolBar, Component parent, RDFResource resource)`
`static ResourceAction` | `createClone(ResourceAction resourceAction)`
`static ResourceAction` | `getResourceAction(Class clazz)`
`static Class[]` | `getResourceActionClasses()`
`static void` | `setResourceActionsEnabled(JPopupMenu menu, boolean enabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceActionManager

    public ResourceActionManager()

Method Detail

### addResourceActionClass

    public static void addResourceActionClass(Class clazz)

  A work-around method for ResourceActions from outside the OWL Plugin. Since due to a bug in the Java virtual machine these ResourceActions can not be found through their manifest, they need to be added manually, preferably through a ProjectPlugin.

  Parameters:
    `clazz` - the Class of a ResourceAction to add

### addResourceActions

    public static void addResourceActions(JPopupMenu menu,
                                          Component parent,
                                          RDFResource resource)

### addResourceActions

    public static void addResourceActions(JToolBar toolBar,
                                          Component parent,
                                          RDFResource resource)

### createClone

    public static ResourceAction createClone(ResourceAction resourceAction)

### getResourceAction

    public static ResourceAction getResourceAction(Class clazz)

### getResourceActionClasses

    public static Class[] getResourceActionClasses()

### setResourceActionsEnabled

    public static void setResourceActionsEnabled(JPopupMenu menu,
                                                 boolean enabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.